use ExtUtils::MakeMaker;

WriteMakefile(
    NAME => 'RPM::SpecEditor',
    VERSION_FROM => 'lib/RPM/SpecEditor.pm',
    ABSTRACT_FROM => 'lib/RPM/SpecEditor.pm',
    AUTHOR => 'Petr Písař <ppisar@redhat.com>',
    LICENSE => 'gpl_3',
    EXE_FILES => [ ( glob 'bin/*' ) ],
    PREREQ_PM => {
        'Getopt::Long' => '0',
        'IO::String' => '0',
        'parent' => '0',
        'strict' => '0',
        'Tree::Simple' => '0',
        'warnings' => '0',
    },
    TEST_REQUIRES => {
        'Encode' => '0',
        'File::Temp' => '0',
        'strict' => '0',
        'Test::More' => '0',
        'Test::Script' => '0',
        'warnings' => '0',
    },
    META_MERGE => {
        'meta-spec' => {
            version => 2
        },
        resources => {
            bugtracker => {
                web => 'https://pagure.io/RPM-SpecEditor/issues',
            },
            repository => {
                type => 'git',
                url => 'https://pagure.io/RPM-SpecEditor.git',
                web => 'https://pagure.io/RPM-SpecEditor/tree/',
            },
        },
    },
);

