use Test::More tests => 5;

use strict;
use warnings;
use RPM::SpecEditor;

my $spec = RPM::SpecEditor->new(string => <<EOM);
Name:      namevalue
Requires:  r1 >= v1
Provides:  p1
EOM
ok($spec, 'Spec parsed');
my ($new_spec, $dependency, $new_dependency);

($dependency) = $spec->dom->findDependencies('Requires', 'r1');
$dependency = $dependency->getParent;

$new_dependency = RPM::SpecEditor::Node->new(
    type => 'Requires',
)->addChild(RPM::SpecEditor::Node->new(
        type => 'dependency',
        symbol => 'r0',
    )
);
$dependency->insertBefore($new_dependency);
ok($spec->save(string => \$new_spec), 'Spec saved');
is($new_spec, <<EOM, 'dependency bar added after r2 require line');
Name:      namevalue
Requires:  r0
Requires:  r1 >= v1
Provides:  p1
EOM

$new_dependency = RPM::SpecEditor::Node->new(
    type => 'Requires',
)->addChild(RPM::SpecEditor::Node->new(
        type => 'dependency',
        symbol => 'r2',
    )
);
$dependency->insertAfter($new_dependency);
ok($spec->save(string => \$new_spec), 'Spec saved');
is($new_spec, <<EOM, 'dependency bar added after r2 require line');
Name:      namevalue
Requires:  r0
Requires:  r1 >= v1
Requires:  r2
Provides:  p1
EOM

