use Test::More tests => 18;

use strict;
use warnings;
use Test::Script;

script_runs(['bin/rsemodernizeperl', '--add-br-perl-dash=perl-generators'], { stdin => \<<EOM }, 'no change run');
BuildRequires: perl
BuildRequires: perl-generators
BuildRequires: perl(A)
EOM
script_stdout_is(<<EOM, 'no change seen');
BuildRequires: perl
BuildRequires: perl-generators
BuildRequires: perl(A)
EOM

script_runs(['bin/rsemodernizeperl', '--add-br-perl-dash=perl-generators'], { stdin => \<<EOM }, 'before perl-hoo run');
BuildRequires: perl
BuildRequires: perl-hoo
EOM
script_stdout_is(<<EOM, 'before perl-hoo seen');
BuildRequires: perl
BuildRequires: perl-generators
BuildRequires: perl-hoo
EOM

script_runs(['bin/rsemodernizeperl', '--add-br-perl-dash=perl-generators'], { stdin => \<<EOM }, 'between perl-hoo run');
BuildRequires: perl perl-hoo
EOM
script_stdout_is(<<EOM, 'between perl-hoo change seen');
BuildRequires: perl perl-generators perl-hoo
EOM

script_runs(['bin/rsemodernizeperl', '--add-br-perl-dash=perl-generators'], { stdin => \<<EOM }, 'before perl(A) run');
BuildRequires: perl(A)
EOM
script_stdout_is(<<EOM, 'before perl(A) seen');
BuildRequires: perl-generators
BuildRequires: perl(A)
EOM

script_runs(['bin/rsemodernizeperl', '--add-br-perl-dash=perl-generators'], { stdin => \<<EOM }, 'non-perlish run');
BuildRequires: A
BuildRequires: Z
EOM
script_stdout_is(<<EOM, 'non-perlish seen');
BuildRequires: A
BuildRequires: perl-generators
BuildRequires: Z
EOM

script_runs(['bin/rsemodernizeperl', '--add-br-perl-dash=perl-generators'], { stdin => \<<EOM }, 'Direct requires run');
Name: bar
Requires: A
EOM
script_stdout_is(<<EOM, 'Direct requires seen');
Name: bar
BuildRequires: perl-generators
Requires: A
EOM

script_runs(['bin/rsemodernizeperl', '--add-br-perl-dash=perl-generators'], { stdin => \<<EOM }, 'Requires before other tags run');
Requires: A
Name: bar
EOM
script_stdout_is(<<EOM, 'Requires before other tags seen');
BuildRequires: perl-generators
Requires: A
Name: bar
EOM

script_runs(['bin/rsemodernizeperl', '--add-br-perl-dash=perl-generators'], { stdin => \<<EOM }, 'no BRs run');
Name: bar

%desciption bar
Bar.

%package foo
Requires: A
EOM
script_stdout_is(<<EOM, 'no BRs seen');
Name: bar
BuildRequires: perl-generators

%desciption bar
Bar.

%package foo
Requires: A
EOM

script_runs(['bin/rsemodernizeperl', '--add-br-perl-dash=perl-generators'], { stdin => \<<EOM }, 'no dependencies run');
Name: bar
Version: 1

%desciption bar
Bar.

%package foo
Version: 2
EOM
script_stdout_is(<<EOM, 'no dependencies seen');
Name: bar
Version: 1
BuildRequires: perl-generators

%desciption bar
Bar.

%package foo
Version: 2
EOM

