use Test::More tests => 8;

use strict;
use warnings;
use Test::Script;

script_runs(['bin/rsemodernizeperl', '--rename-dep-from=A', '--rename-dep-to=B'], { stdin => \<<EOM }, 'no change run');
BuildRequires: C
Requires: C
Recommends: C
Suggests: C
Supplements: C
BuildConflicts: C
Conflicts: C
Provides: C
Obsoletes: C
EOM
script_stdout_is(<<EOM, 'no change seen');
BuildRequires: C
Requires: C
Recommends: C
Suggests: C
Supplements: C
BuildConflicts: C
Conflicts: C
Provides: C
Obsoletes: C
EOM

script_runs(['bin/rsemodernizeperl', '--rename-dep-from=A', '--rename-dep-to=B'], { stdin => \<<EOM }, 'all deps run');
BuildRequires: A
Requires: A
Recommends: A
Suggests: A
Supplements: A
BuildConflicts: A
Conflicts: A
Provides: A
Obsoletes: A
EOM
script_stdout_is(<<EOM, 'all deps changed');
BuildRequires: B
Requires: B
Recommends: B
Suggests: B
Supplements: B
BuildConflicts: B
Conflicts: B
Provides: B
Obsoletes: B
EOM

script_runs(['bin/rsemodernizeperl', '--rename-dep-from=A', '--rename-dep-to=B', '--rename-dep-type=BuildRequires', '--rename-dep-type=Requires'], { stdin => \<<EOM }, 'BR and RR run');
BuildRequires: A
Requires: A
Recommends: A
Suggests: A
Supplements: A
BuildConflicts: A
Conflicts: A
Provides: A
Obsoletes: A
EOM
script_stdout_is(<<EOM, 'BR and RR only changed');
BuildRequires: B
Requires: B
Recommends: A
Suggests: A
Supplements: A
BuildConflicts: A
Conflicts: A
Provides: A
Obsoletes: A
EOM

script_runs(['bin/rsemodernizeperl', '--rename-dep-from=A', '--rename-dep-to=B'], { stdin => \<<EOM }, 'version preserved run');
Requires: A >= 1
EOM
script_stdout_is(<<EOM, 'version preserved');
Requires: B >= 1
EOM

