use Test::More;

use strict;
use warnings;
use RPM::SpecEditor;

my @tests = (
    [ 'name1' , [ 'name1' ] ],
    [ 'name1 name2', ['name1', ' ', 'name2'] ],
    [ 'name1,name2', ['name1', ',', 'name2'] ],
    [ 'name1, name2', ['name1', ', ', 'name2'] ],
    [ 'name1 name2,name3', ['name1', ' ', 'name2', ',', 'name3'] ],
    [ 'name1 ', [ 'name1', ' ' ] ],
    [ ' name1', [ ' ', 'name1' ] ],
    [ ' name1 ', [ ' ', 'name1', ' ' ] ],
    [ ' ', [ ' ' ] ],
    [ '', [ ] ],
);

plan tests => scalar @tests;

for (@tests) {
    is_deeply([RPM::SpecEditor::_tokenize_dependency($$_[0])], $$_[1],
        '<' . $$_[0] . '>');
}
